Package com.sap.ai.sdk.core.model

# Class AiDeploymentCreationRequest

java.lang.Object
com.sap.ai.sdk.core.model.AiDeploymentCreationRequest

public class AiDeploymentCreationRequest extends Object
Request object for creating an execution or an deployment

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiDeploymentCreationRequest.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiDeploymentCreationRequest()`
  Default constructor for AiDeploymentCreationRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiDeploymentCreationRequest`
  `configurationId(String configurationId)`
  Set the configurationId of this `AiDeploymentCreationRequest` instance and return the same instance.
  `static AiDeploymentCreationRequest.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiDeploymentCreationRequest` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `String`
  `getConfigurationId()`
  ID of the configuration
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiDeploymentCreationRequest`.
  `String`
  `getTtl()`
  Time to live for a deployment.
  `int`
  `hashCode()`
  `void`
  `setConfigurationId(String configurationId)`
  Set the configurationId of this `AiDeploymentCreationRequest` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiDeploymentCreationRequest` instance.
  `void`
  `setTtl(String ttl)`
  Set the ttl of this `AiDeploymentCreationRequest` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiDeploymentCreationRequest` instance including unrecognized properties.
  `String`
  `toString()`
  `AiDeploymentCreationRequest`
  `ttl(String ttl)`
  Set the ttl of this `AiDeploymentCreationRequest` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiDeploymentCreationRequest

    protected AiDeploymentCreationRequest()
    Default constructor for AiDeploymentCreationRequest.

- ## Method Details

  - ### ttl

    @Nonnull public AiDeploymentCreationRequest ttl(@Nullable String ttl)
    Set the ttl of this `AiDeploymentCreationRequest` instance and return the same instance.
    Parameters:
      `ttl` - Time to live for a deployment. Its value can be either null or a number followed by the unit (any of following values, minutes(m|M), hours(h|H) or days(d|D))
    Returns:
      The same instance of this `AiDeploymentCreationRequest` class

  - ### getTtl

    @Nullable public String getTtl()
    Time to live for a deployment. Its value can be either null or a number followed by the unit (any of following values, minutes(m|M), hours(h|H) or days(d|D))
    Returns:
      ttl The ttl of this `AiDeploymentCreationRequest` instance.

  - ### setTtl

    public void setTtl(@Nullable String ttl)
    Set the ttl of this `AiDeploymentCreationRequest` instance.
    Parameters:
      `ttl` - Time to live for a deployment. Its value can be either null or a number followed by the unit (any of following values, minutes(m|M), hours(h|H) or days(d|D))

  - ### configurationId

    @Nonnull public AiDeploymentCreationRequest configurationId(@Nonnull String configurationId)
    Set the configurationId of this `AiDeploymentCreationRequest` instance and return the same instance.
    Parameters:
      `configurationId` - ID of the configuration
    Returns:
      The same instance of this `AiDeploymentCreationRequest` class

  - ### getConfigurationId

    @Nonnull public String getConfigurationId()
    ID of the configuration
    Returns:
      configurationId The configurationId of this `AiDeploymentCreationRequest` instance.

  - ### setConfigurationId

    public void setConfigurationId(@Nonnull String configurationId)
    Set the configurationId of this `AiDeploymentCreationRequest` instance.
    Parameters:
      `configurationId` - ID of the configuration

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiDeploymentCreationRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiDeploymentCreationRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiDeploymentCreationRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiDeploymentCreationRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiDeploymentCreationRequest.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiDeploymentCreationRequest` instance with all required arguments.